This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository libmemcached-libmemcached-perl.

commit b4145238d7c073dd584d49e244235b32b8a0dcfa
Author: gregor herrmann <gre...@debian.org>
Date:   Wed Oct 7 23:35:34 2015 +0200

    back to UNRELEASED, TODO added to d/changelog
    
    Git-Dch: Ignore
---
 debian/changelog | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 6b058ec..ea83e67 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,30 @@
-libmemcached-libmemcached-perl (1.001801-1) unstable; urgency=low
+libmemcached-libmemcached-perl (1.001801-1) UNRELEASED; urgency=low
+
+  TODO:
+  - the package will fail to build on all architectures except amd64 due to
+    "/usr/lib/x86_64-linux-gnu/libmemcached.so" in the patch.
+    (later:) tested on i386:
+    make[1]: *** No rule to make target 
'/usr/lib/x86_64-linux-gnu/libmemcached.so', needed by 'libmemcached.o'.  Stop.
+    either -lmemcached or similar works, or DEB_HOST_MULTIARCH helps to find
+    the patch; or it can be removed if this is a makefile target ...
+  - side note: in Makefile.PL, 'my $is_developer = (-d ".svn" || -d ".git");'
+    looks wrong for us
+  - autopkgtest: (just a thought, haven't tried): maybe the new
+    debian/tests/pkg-perl/smoke-setup script option would avoid having to
+    setup a whole new test
+  - debian/libmemcached-libmemcached-perl.examples: looks more like examples
+    of embedded libmemcached?
+  - debian/libmemcached-libmemcached-perl.docs: probably all except the TODO
+    is not needed?
+  - d/copyright: Paul-Hsieh looks at least weird (doesn't say what is
+    allowed), Bob-Jenkins looks non-free (only "use", no distribution or
+    "modification". - I think just repackaging and removing src/ completely is
+    the easiest (and probably only) way forward.
+  - d/control: "libmemcached-dev (= 1.0.18-4)": really only this version? or
+    ">="? limiting to one version sounds like a pain for the future.
+    the resulting binary package just depends on an unversioned
+    "libmemcached11".
+  - d/control: libpod-coverage-perl is probably not needed explicitly
 
   * Initial Release. Closes: #801254
 

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libmemcached-libmemcached-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to